Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

9 - Synthèse sonore et Banques de sons

> Forums de discussion > 9 - Synthèse sonore et Banques de sons > [résolu] ArtyFX Driva - Failed to find plugin
Dernier post

[résolu] ArtyFX Driva - Failed to find plugin

anarchlinux utilisateur non connecté France
Bonjour, j'ai le message d'erreur suivant en voulant charger l'effet Driva, de la collection ArtyFX.

XXXX@****-PC:~$ /home/XXXX/Téléchargements/artyfx_1.3+git20170110~2f88ea4-0librazik1_amd64/usr/bin/driva
lilv_world_add_plugin(): error: Duplicate plugin <http://nickbailey.co.nr/triceratops>
lilv_world_add_plugin(): error: ... found in file:///usr/lib/lv2/triceratops.lv2/
lilv_world_add_plugin(): error: ... and      file:///usr/local/lib/lv2/triceratops.lv2/
Plugin:       http://www.openavproductions.com/artyfx#driva
Failed to find plugin


Avez vous une idée de comment réparer ça ?

Merci à vous.

sub26nico utilisateur non connecté France
Ces effets ArtyFx sont des lv2, il faut donc les lancer dans un logiciel hôte.
Soit directement dans un séquenceur ou dans un hôte à greffon.
Tu sembles être sur LibraZiK, il y a dans la distro Jalv_Select qui fonctionne avec Jack,
et qui te permettra d'utiliser ces greffons, ainsi que tous les lv2 présents sur ton système,
sans avoir à utiliser Ardour ou autre séquenceur. Tu peux aussi jeter un oeil ici .

olinuxx utilisateur non connecté France
sub26nico écrit :
Ces effets ArtyFx sont des lv2, il faut donc les lancer dans un logiciel hôte.


Les artyfx sont fournis en tant que logiciels autonomes également. Ça devrait donc fonctionner. Je viens d'essayer ici avec "vihda" et ça fonctionne.


anarchlinux écrit :
XXXX@****-PC:~$ /home/XXXX/Téléchargements/artyfx_1.3+git20170110~2f88ea4-0librazik1_amd64/usr/bin/driva


C'est quoi ce chemin ? Tu l'as installé comment artyfx ? Tu es sous quelle distribution ?

anarchlinux utilisateur non connecté France
Je l'ai installé via le paquet de kxstudio.

En fait je ne comprends pas, Driva est introuvable par mes hotes-lv2 (jalv.select et ardour).

Je me demande d'où le problème peut venir. J'ai donc essayé de voir si en copiant les fichiers driva du paquet artyfx de librazik, au cas où le problème viendrait de la version de kxstudio, voir si ça pourrait fonctionner. mais non, le greffon driva est introuvable.
Alors que artyfx est bien installé, et que tout les autres greffons fonctionnent, à l'exeption de driva.

anarchlinux utilisateur non connecté France
J'ai d'ailleurs regardé dans les fichiers installées, il y a bien /usr/lib/lv2/artyfx.lv2/driva.ttl d'installé.

J'ai essayé aussi en ligne de commande

aina@aina-N73SV:~$ lv2ls
http://www.openavproductions.com/artyfx#bitta
http://www.openavproductions.com/artyfx#della
http://www.openavproductions.com/artyfx#ducka
http://www.openavproductions.com/artyfx#filta
http://www.openavproductions.com/artyfx#kuiza
http://www.openavproductions.com/artyfx#masha
http://www.openavproductions.com/artyfx#panda
http://www.openavproductions.com/artyfx#roomy
http://www.openavproductions.com/artyfx#satma
http://www.openavproductions.com/artyfx#vihda
http://www.openavproductions.com/artyfx#whaaa


Driva est manquant ... d'où peut venir ce problème ?

anarchlinux utilisateur non connecté France
Bon au final j'ai désinstallé le paquet de KXstudio (ce fut fastidieux, car j'avais installé via le méta-paquet de kxstudio-lv2), du coup j'ai installé le paquet de librazik, et depuis tout marche sans problème.
Enfin, ardour semble avoir du mal mais bon, ouvert en externe ça marche nikel.

olinuxx utilisateur non connecté France
anarchlinux écrit :
J'ai donc essayé de voir si en copiant les fichiers driva du paquet artyfx de librazik, au cas où le problème viendrait de la version de kxstudio, voir si ça pourrait fonctionner. mais non, le greffon driva est introuvable.


C'est sale, ça n'est pas logique, et ça finira par te filer des soucis. (tu auras été prévenu :-) )


D'autre part, tu n'as pas répondu à :
olinuxx écrit :
Tu es sous quelle distribution ?


anarchlinux utilisateur non connecté France
Ba en fait il me fallait un fichier bin pour voir qu'est ce qui ne va pas, j'ai donc juste utilisé les bin de librazik (car dans le paquet de kxstudio il n'y a pas de bin de driva ou filta) pour identifier le problème que je vous ai montré. C'est pour ça que le chemin était bizzare, c'étais le dossier d'extraction des fichiers du paquet librazik. Et en utilisant le bin de filta j'ai pu voir que ça marche, et que pour driva, il manque visiblement des paramètres.

Puis je me suis dit autant désinstaller la version de kxstudio et voir si la version de kxstudio est buggé.
J'ai donc installé le paquet de librazik.
Ce qui montre que le problème semble venir du paquet de Kxstudio. Comme d'autres de leurs paquets ... (tuxguitar, drumkv1 et d'autres greffons ...).
Vraiment dommage ...

Milles excuse Olinuxx, ma distribution, c'est Ubuntu Studio.
J'utilise le dépot de kxstudio juste pour les logiciels comme Luppp, Disthro-plugins-lv2 ou encore Helm, non présent dans le dépôt d'Ubuntu.
Comme ça j'évite le trop pleins de fichiers d'ubunu. Et surtout pour que les fichiers du système et le noyaux restent sous Ubuntu.
Pourquoi je me penche sur kxstudio, et bien juste parce que je ne peux pas me permettre de tout compiler (ça serait fastidieux, vu le nombre). Et parce que kxstudio a des outils inédits (cadence, carla, festige). Et que kxstudio est basé sur ubuntu, compatibilité plus importante qu'avec une Debian je suppose.

sub26nico utilisateur non connecté France
Les dépots KX Studio peuvent être ajoutés à Ubuntu et à Debian.
Attention aussi à ne pas trop mélanger les dépôts, cela peut être
source de problèmes sur la durée.

olinuxx utilisateur non connecté France
anarchlinux écrit :
Ba en fait il me fallait un fichier bin pour voir qu'est ce qui ne va pas, j'ai donc juste utilisé les bin de librazik (car dans le paquet de kxstudio il n'y a pas de bin de driva ou filta) pour identifier le problème que je vous ai montré. C'est pour ça que le chemin était bizzare, c'étais le dossier d'extraction des fichiers du paquet librazik. Et en utilisant le bin de filta j'ai pu voir que ça marche, et que pour driva, il manque visiblement des paramètres.


Tu es sous ubuntustudio. Les paquets LibraZiK ne sont pas fabriqué pour être compatibles avec ubuntu (et consœurs). Ça peut fonctionne ici ou là (comme ça semble l'être pour ton cas), mais c'est une très mauvaise idée d'essayer de faire des conclusions à partir de ça car les paquets LZK sont compilés avec les bibliothèques de debian, pas celles d'ubuntu.



anarchlinux écrit :
Et que kxstudio est basé sur ubuntu, compatibilité plus importante qu'avec une Debian je suppose.


Je n'ai pas compris ce que tu veux dire ici.

anarchlinux utilisateur non connecté France
Je suis d'accord avec toi olinuxx, mais le problème de compatibilité entre ubuntu et debian n'est pas non plus des plus catastrophique, il y a d'ailleurs des paquets qui sont prévu pour debian et ubuntu, cela dépend du niveau de compilation.
De plus artyfx ne demande pas beaucoups de dépendances, qui sont des programmes de base, c'est donc pas trop un problème.
Je vais essayer de compiler au pire des cas si jamais j'ai un soucis.
Mais dans le cas de ArtyFX seulement, il y a une bonne compatibilité visiblement. Après c'est vraiment parce que le paquet de kxstudio ne marche pas, c'est vraiment juste pour ça, sinon je ne prend jamais de paquet d'une debian.
Mais je n'ai pris que ce paquet, je n'ai pas activé les dépots de ta distro.
Ce que je voulais dire c'est que ubuntu est plus compatible avec kxstudio qu'avec debian.

et oui sub26nico, c'est pour cela que je désactive les paquets de kxstudio, à chaque fois que j'ai installé un programme, et quand j'ai besoin de mettre à jour les paquets de kxs, je mets à jours seulement ceux de kxs, je ne fais pas un upgrade généralisé.

Voilà le sujet est clos, en vous remerciant encore les gars.

olinuxx utilisateur non connecté France
anarchlinux écrit :
Je suis d'accord avec toi olinuxx, mais le problème de compatibilité entre ubuntu et debian n'est pas non plus des plus catastrophique, il y a d'ailleurs des paquets qui sont prévu pour debian et ubuntu, cela dépend du niveau de compilation.


C'est de la bidouille. Parlant de point de vue de quelqu'un qui en fabrique (des paquets), je peux confirmer ici que c'est une très mauvaise idée du style "au p'tit bonheur la chance". Si ça marche pour toi, tant mieux, mais si ça casse, tant pis pour toi, tu auras été prévenu cool



anarchlinux écrit :
De plus artyfx ne demande pas beaucoups de dépendances, qui sont des programmes de base, c'est donc pas trop un problème.


Oh que si ! Il y en a des dépendances ! (rien que la version de GCC par exemple)



anarchlinux écrit :
Mais je n'ai pris que ce paquet, je n'ai pas activé les dépots de ta distro.


Ça n'a pas trop à voir avec ce que je disais, je parlais principalement de compatibilité des "binaires".



Voilà, je voudrais pas avoir l'air de faire de la morale ici, mais j'ai pas (mais alors vraiment pas) envie de laisser des trucs faux comme ça être écrit et me retrouver à avoir des demandes de dépannage parce que des gens ont lu et fait des bêtises avec leur système.

Ceci dit, t'es bien libre de faire comme tu veux, même de faire des bêtises cool
Allez zou, bonne zic à toi.

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

xzu, 21:18, lun. 26 Jun 2017: @samuel: Testée? waw, c'est du usb3?
olinuxx, 13:43, lun. 26 Jun 2017: bonjour et bienvenue à emmanuelbriche :-)
olinuxx, 14:37, dim. 25 Jun 2017: bonjour et bienvenue à JamesBonze :-)
olinuxx, 09:24, sam. 24 Jun 2017: bonjour et bienvenue à DeuxMainsGauches :-)
Samuel, 15:58, ven. 23 Jun 2017: Et qui permet d'enregistrer les 24 canaux en autonome sur support usb
Samuel, 15:52, ven. 23 Jun 2017: Interface 24 canaux class compliant pour 375€[Lien]
sub26nico, 10:31, mar. 20 Jun 2017: Salut et bienvenue à Skys :-)
sub26nico, 18:39, dim. 18 Jun 2017: Salut et bienvenue à Nono480 :-)
bluedid29, 13:53, dim. 18 Jun 2017: Chouette thème pour la joute ! Bon dimanche :-)
sub26nico, 03:33, dim. 18 Jun 2017: Salut et bienvenue à guechi :-)
zebassprophet, 20:57, sam. 17 Jun 2017: bon bah y'apuka
programLyrique, 20:26, sam. 17 Jun 2017: C'est ce qu'on m'a demandé, de commencer dès maintenant !